=== example_clients/Makefile ===
CXXFLAGS=-I../client -g -Wall

CXXFILES=
OBJFILES=$(patsubst %.C,%.o,$(CXXFILES))


all: test_ai cl_spellcast

clean:
	rm -f $(OBJFILES) cl_spellcast test_ai

test_ai: $(OBJFILES) test_ai.C ../client/libSCClient.a
	$(CXX) $(CXXFLAGS) -L../client -o $@ $(OBJFILES) test_ai.C \
	-lSCClient 

cl_spellcast: $(OBJFILES) cl_spellcast.C ../client/libSCClient.a
	$(CXX) $(CXXFLAGS) -L../client -o $@ $(OBJFILES) cl_spellcast.C \
	-lSCClient -lreadline -ltermcap

depend:
	makedepend -I../client -f- *.C *.H > Makedepends

include Makedepends
