=== debian/control ===
Source: sc-hackfest
Section: games
Priority: optional
Maintainer: Chris Yeoh <cyeoh@samba.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: sc-hackfest
Architecture: any
Description: Reimplementation of Spellcast
